<div class='btn-group pill' ...attributes>
  <button
    type='button'
    class='btn btn-select btn-pill-{{this.className}}
      {{if this.hasValue 'btn-secondary' 'btn-outline-secondary'}}
      btn-pill'
    {{on 'click' this.select}}
  >
    {{#if this.icon}}
      <FaIcon @icon={{this.icon}} />
    {{/if}}

    <MarkDown @value={{this.displayValue}} />
  </button>

  {{#if this.hasValue}}
    <button
      type='button'
      class='btn btn-reset btn-secondary btn-reset-pill-{{this.className}}'
      {{on 'click' this.reset}}
    >
      <FaIcon @icon='times' />
    </button>
  {{/if}}
</div>